QJS(1)

NAME
qjs - QuickJS-NG JavaScript interpreter

SYNOPSIS
qjs [OPTION]... [FILE [ARGUMENT]...]

DESCRIPTION
QuickJS-NG is a small and embeddable JavaScript engine. It aims to support the latest ECMAScript specification.

The qjs executable runs the JavaScript interpreter. It includes a simple standard library and REPL.

OPTIONS

-c, --compile
    Compile FILE into a standalone executable, bundling the interpreter and the script.

-C, --script
    Load FILE as a classic JavaScript script. By default, qjs will try to detect if FILE is a JS script or an ES module.

-d, --dump
    Dump memory usage statistics.

-D FLAGS, --dump-flags=FLAGS
    Specify debug dump flags. These can also be set through the QJS_DUMP_FLAGS environment variable.

-e EXPR, --eval EXPR
    Evaluate EXPR and exit.

-h, --help
    Print a help message and exit.

-i, --interactive
    Enter interactive mode. This is the default if no FILE is provided.

-I IFILE, --include IFILE
    Include an additional file.

--memory-limit N
    Limit memory usage to N Kbytes.

-m, --module
    Load FILE as an ECMAScript module. By default, qjs will try to detect if FILE is a JS script or an ES module.

--o OUTPUT, --out OUTPUT
    Output file name when creating a standalone executable with -c.

--stack-size N
    Limit the stack size to N Kbytes.

--std
    Make 'std', 'os' and 'bjson' available to the script.

-T, --trace
    Trace memory allocation.

-v, --version
    Print version string and exit.

-q, --quit
    Instantiate the interpreter and immediately exit.

SEE ALSO

  Man pages
qjsc(1)

  Online documentation
Detailed documentation about the project can be found at: https://quickjs-ng.github.io/quickjs/